Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.codecs
Class PostingsBaseFormat

    java.lang.Object
      org.apache.lucene.codecs.PostingsBaseFormat

Direct Known Subclasses:
  Lucene40PostingsBaseFormat, Lucene41PostingsBaseFormat

    public abstract class PostingsBaseFormat

extends Object

Provides a `PostingsReaderBase` and `PostingsWriterBase`.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Field Summary
`String` | `name` Unique name that's used to retrieve this codec when reading the index

Constructor Summary
`protected` | `PostingsBaseFormat(String name)` Sole constructor.

Method Summary
`abstract PostingsReaderBase` | `postingsReaderBase(SegmentReadState state)` Creates the `PostingsReaderBase` for this format.
`abstract PostingsWriterBase` | `postingsWriterBase(SegmentWriteState state)` Creates the `PostingsWriterBase` for this format.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public final String name

  Unique name that's used to retrieve this codec when reading the index

Constructor Detail

### PostingsBaseFormat

    protected PostingsBaseFormat(String name)

  Sole constructor.

Method Detail

### postingsReaderBase

    public abstract PostingsReaderBase postingsReaderBase(SegmentReadState state)
                                                   throws IOException

  Creates the `PostingsReaderBase` for this format.

  Throws:
    `IOException`

### postingsWriterBase

    public abstract PostingsWriterBase postingsWriterBase(SegmentWriteState state)
                                                   throws IOException

  Creates the `PostingsWriterBase` for this format.

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.